package com.ynet.life.sujrb.action;

import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.gene.log.GENELog;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/GetCorCreditCheckingUtil.class */
public class GetCorCreditCheckingUtil {
    private static final String CCC_COMPONENT = "【【获取企业信用审查数据接口-工具类】】";

    public void executeDataToDataBase(Map<String, List<Map<String, String>>> map, Connection connection) throws Exception {
        PreparedStatement ups = null;
        PreparedStatement ips = null;
        for (Map.Entry<String, List<Map<String, String>>> entry : map.entrySet()) {
            try {
                try {
                    String tableName = entry.getKey();
                    GENELog.log(CCC_COMPONENT, GENELog.INFO, 0, "处理表【：" + tableName + "】");
                    List<Map<String, String>> dataList = entry.getValue();
                    if (dataList.size() > 0) {
                        Set<String> keySet = dataList.get(0).keySet();
                        List<String> keyList = new ArrayList<>(keySet);
                        String insertSql = getInsertSql(tableName, keyList);
                        ips = connection.prepareStatement(insertSql);
                        if (!tableName.equals("result_info")) {
                            String updateSql = "UPDATE ccc_" + tableName + " SET CCC_STATE='1' WHERE ID = ?";
                            ups = connection.prepareStatement(updateSql);
                        }
                        for (Map<String, String> map2 : dataList) {
                            int map2Size = map2.size();
                            for (int j = 0; j < map2Size; j++) {
                                ips.setString(j + 1, map2.get(keyList.get(j)));
                            }
                            if (!tableName.equals("result_info")) {
                                ups.setString(1, map2.get("id"));
                            }
                            ips.addBatch();
                            if (!tableName.equals("result_info")) {
                                ups.addBatch();
                            }
                        }
                        if (!tableName.equals("result_info")) {
                            ups.executeBatch();
                        }
                        ips.executeBatch();
                        if (ups != null) {
                            ups.close();
                        }
                        if (ips != null) {
                            ips.close();
                        }
                    }
                } catch (Exception e) {
                    connection.rollback();
                    e.printStackTrace();
                    throw e;
                }
            } finally {
                if (ups != null) {
                    ups.close();
                }
                if (ips != null) {
                    ips.close();
                }
            }
        }
        connection.commit();
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v28, types: [java.lang.String] */
    /* JADX WARN: Type inference failed for: r0v8 */
    /* JADX WARN: Type inference failed for: r0v9, types: [java.sql.SQLException] */
    public String getMinCreateTime(String id, String tableName, Connection conn) throws SQLException {
        String minTime;
        Date date = new Date();
        String nowTime = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(date);
        String queryMinCreateTimeSql = "SELECT MIN(CCC_CREATETIME) FROM ccc_" + tableName + " WHERE ID = ?";
        PreparedStatement ps = null;
        ?? r0 = 0;
        ResultSet rs = null;
        try {
            try {
                PreparedStatement prepareStatement = conn.prepareStatement(queryMinCreateTimeSql);
                ps = prepareStatement;
                prepareStatement.setString(1, id);
                ResultSet executeQuery = ps.executeQuery();
                rs = executeQuery;
                if (executeQuery.next()) {
                    r0 = rs.getString(1);
                    if (r0 != 0) {
                        minTime = r0;
                    } else {
                        minTime = nowTime;
                    }
                } else {
                    minTime = nowTime;
                }
                if (rs != null) {
                    rs.close();
                }
                if (ps != null) {
                    ps.close();
                }
                return minTime;
            } catch (SQLException e) {
                r0.printStackTrace();
                throw e;
            }
        } catch (Throwable th) {
            if (rs != null) {
                rs.close();
            }
            if (ps != null) {
                ps.close();
            }
            throw th;
        }
    }

    public String getInsertSql(String tableName, List<String> keyList) {
        StringBuffer sb = new StringBuffer("INSERT INTO ").append("ccc_".concat(String.valueOf(tableName))).append(" (");
        Iterator<String> it = keyList.iterator();
        boolean isFirst = true;
        StringBuffer paramString = new StringBuffer();
        while (it.hasNext()) {
            if (!isFirst) {
                sb.append(",");
                paramString.append(",");
            }
            sb.append(it.next());
            paramString.append("?");
            isFirst = false;
        }
        sb.append(") VALUES (").append(paramString).append(") ");
        return sb.toString();
    }

    public Map<String, Map<String, String>> getCorDetail(IndexedCollection icoll, Connection con) throws SQLException {
        Map<String, Map<String, String>> map = new HashMap<>();
        Iterator<KeyedCollection> it = icoll.iterator();
        StringBuilder sb = new StringBuilder("SELECT FCI_CORNO,PCI_NAMECN,PCI_ORGCODE FROM fsp_cor_inf_szyq WHERE FCI_CORNO IN (");
        for (int i = 0; i < icoll.size(); i++) {
            sb.append("?,");
        }
        sb.deleteCharAt(sb.length() - 1).append(")");
        PreparedStatement ps = con.prepareStatement(sb.toString());
        int i2 = 1;
        while (it.hasNext()) {
            ps.setString(i2, it.next().get("corNo").toString());
            i2++;
        }
        ResultSet rs = ps.executeQuery();
        while (rs.next()) {
            Map<String, String> tempMap = new HashMap<>();
            tempMap.put("adm_counterpart", rs.getString(2));
            tempMap.put("uscc", rs.getString(3));
            map.put(rs.getString(1), tempMap);
        }
        rs.close();
        ps.close();
        return map;
    }

    public void parseListToIcoll(List<Map<String, String>> list, IndexedCollection icoll) {
        Iterator<Map<String, String>> it = list.iterator();
        while (it.hasNext()) {
            KeyedCollection keyColl = new KeyedCollection();
            keyColl.putAll(it.next());
            icoll.addDataElement(keyColl);
        }
    }
}
